complexType "CommoditySpread"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | currency, amount, spreadConversionFactor?, spreadUnit?
</...>

Content Model Elements (4):

  amount (defined in Money complexType), currency (defined in MoneyBase complexType), | spreadConversionFactor, spreadUnit

All Direct / Indirect Based Elements (1):

  spread (defined in FloatingLegCalculation complexType)

Known Usage Locations

- As direct type of elements (1):
  spread (defined in FloatingLegCalculation complexType)

Type Definition Detail

Type Derivation Tree MoneyBase (extension) Money (extension) CommoditySpread

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CommoditySpread"> <xsd:complexContent> <xsd:extension base="Money"> <xsd:sequence> <xsd:element minOccurs="0" name="spreadConversionFactor" type="xsd:decimal"/> <xsd:element minOccurs="0" name="spreadUnit" type="QuantityUnit"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/4)
spreadConversionFactor

  Type: | xsd:decimal, predefined, simple content

  spreadConversionFactor should be used when the unit of measure of the Commodity Reference Price and the unit of measure in which the spread is quoted are different. The value of spreadConversionFactor is the number of units of measure in which the spread is quoted per unit of measure of the Commodity Reference Price.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="spreadConversionFactor" type="xsd:decimal"/>

spreadUnit

  Type: | QuantityUnit, simple content

  spreadUnit should be used when the unit of measure of the Commodity Reference Price and the unit of measure in which the spread is quoted are different. The value of spreadUnit is the unit of measure in which the spread is quoted.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="spreadUnit" type="QuantityUnit"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.